Subject: Re: [PATCH] glossary: add definitions for dereference & peel

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Nov 2023 14:20:04 +0900

Junio C Hamano <[email-masked]> writes:

> I've never seen "peel" used for commits, though.  So another
> improvement might be to say "peel" is "an act of dereferencing a
> tag" here.

I am reasonably sure I was the one who coined the term "peel", and
the picture I had in mind when I used it was to peel an onion, which
inherently was about unwrapping many levels repeatedly.  I think
that is why it felt strange to see "peel" used in the context of
using a commit as a tree-ish, which (as your documentation update
clearly said) is doable only once.